.invoice {
  width: 60%;
  margin: 0 auto;
  padding: 20px;
  border: 1px solid #ccc;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  height: 80vh;
}

.invoice-header {
  text-align: center;
  margin-bottom: 20px;
}

.invoice-header h1 {
  font-size: 28px;
}

.invoice-details {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

.customer-info {
  width: 75%;
}

.invoice-info {
  justify-content: flex-end;
}

.customer-info h2, .invoice-info h2 {
  font-size: 18px;
  margin-bottom: 10px;
}

.invoice-table {
  width: 100%;
  border-collapse: collapse;
}

.invoice-table th, .invoice-table td {
  border: 1px solid #ccc;
  padding: 8px;
  text-align: center;
}

.invoice-table th {
  background-color: #f2f2f2;
}

.invoice-total {
  text-align: right;
  margin-top: 20px;
  font-size: 20px;
}
